/****************************************************************************
**
** Copyright (C) 1991-2006 Heinz van Saanen
**
** This file is part of the the function viewer Zhu3D.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef FUNEDITOR_H
#define FUNEDITOR_H

#include <QWidget>
#include <QCloseEvent>
#include <QSettings>

#include "glwidget.h"
#include "ui_funedit.h"
#include "property.h"
#include "version.h"
#include "debug.h"


// Globals
extern OGLWidget *oglWid;


// Handles global settings
class funWidget : public QWidget, private Ui::funUI {

Q_OBJECT

public:
	funWidget(QWidget *parent=0);
	~funWidget();

protected:
	void closeEvent(QCloseEvent *event);

public slots:
	void updFunWid();

private slots:
	void deliverF0Slot();
	void deliverF1Slot();
	void deliverF2Slot();

signals:
	void F0changed();	// Update OGL-viewer after new function input
	void F1changed();
	void F2changed();

private:
	// Avoid junk and care for clean syntax for the parser
	bool checkParenthesis(const char *string);

	// Settings-stuff
	bool everStarted;
	void readSettings();
	void writeSettings();
};

#endif
