/****************************************************************************
**
** Copyright (C) 1991-2006 Heinz van Saanen
**
** This file is part of the the function viewer Zhu3D.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef GLDRAW_H
#define GLDRAW_H

#include <QApplication>
#include "property.h"
#include "debug.h"

// Globals
extern char parseResult[];		// String for parser messages
extern bool listUp[MAXFUN+1];	// Update for OpenGL-lists needed?

// Comfort functions for parser calling
float fxy0(const float xpar, const float ypar);
float fxy1(const float xpar, const float ypar);
float fxy2(const float xpar, const float ypar);

// List-generation/drawing routines
void Draw_Points(void);
void Draw_Quads(void);
void Draw_Triangles(void);
void Draw_Axes(void);
void Draw_Cross(void);

#endif
