/****************************************************************************
**
** Copyright (C) 1991-2006 Heinz van Saanen
**
** This file is part of the the function viewer Zhu3D.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef OGL_PARSER_H
#define OGL_PARSER_H

// The basic floatingpoint-type
#define FTYPE float

// Some constants
#define MY_E	((FTYPE)2.7182818284590452354)
#define MY_PI	((FTYPE)3.1415926535897932384)


// Globals declared in ogl_parser.cpp
// ===================================================================
extern FTYPE x, y;			// Main-type for function calculations
extern FTYPE s, t;			// Main-type for parametric calculations
extern int elevel;			// If elevel<>0 an Error occured
extern char *errorStr[];	// Hold error numbers
extern int npvloaded;		// Flag for loading NPV()-File in 2D-Version


// Function prototypes
// ===================================================================
FTYPE parse(const char *string);	// Parser-Call returns evaluated String
void show_error(const int number);	// Error-Handling
void opencsv(char *s);				// Opens File for NPV-Values in 2D-version

#endif
