/****************************************************************************
**
** Copyright (C) 1991-2006 Heinz van Saanen
**
** This file is part of the the function viewer Zhu3D.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef PICEDITOR_H
#define PICEDITOR_H

#include <QWidget>
#include <QCloseEvent>
#include <QSettings>
#include "ui_picture.h"
#include "property.h"
#include "version.h"
#include "debug.h"


// Set properties for saving pictures
class picWidget : public QWidget, private Ui::picUI {

Q_OBJECT

public:
	picWidget(QWidget *parent=0);
	~picWidget();

protected:
	void closeEvent(QCloseEvent *event);

public:
	void updPicWid();

private slots:
	void xDimSlot(int xVal);
	void yDimSlot(int yVal);
	void qualSlot(int q) { qual->setValue(pic.quality=q); }
	void picXYLocked() { pic.locXY=!pic.locXY; if(pic.locXY) updPicWid(); }
	void pngSlot() { pic.png=true; }
	void jpgSlot() { pic.png=false; }

private:
	bool xset;		// For avoiding regression
	bool yset;		// For avoiding regression

	// Settings stuff
	void readSettings();
	void writeSettings();
	bool everStarted;
};

#endif
