# Zhu3D Version 2.1
# (C) 1991-2006 Heinz van Saanen
#
#
# USAGE:
#
# Normal users will need just a simple qmake. For packagers or
# special purposes you can use arguments, which redifine the
# location of the ./system and/or the ./doc-directory or optimize
# the Makefile for a certain sreen-resolution. E.g:
#
# qmake SYSDIR=/usr/share/zhu3d.x.y/system DOCDIR=/usr/share/doc/zhu3d.x.y/doc

CONFIG += release
TARGET  = zhu3d
QT     += opengl

HEADERS = ./src/mainwindow.h \
          ./src/glwidget.h \
          ./src/gldraw.h \
          ./src/parser.h \
          ./src/ligedit.h \
          ./src/matedit.h \
          ./src/entedit.h \
          ./src/aniedit.h \
          ./src/picedit.h \
          ./src/fntedit.h \
          ./src/funedit.h \
          ./src/property.h \
          ./src/version.h \
          ./src/timers.h \
          ./src/sysinfo.h \
          ./src/error.h

SOURCES = ./src/main.cpp \
          ./src/mainwindow.cpp \
          ./src/glwidget.cpp \
          ./src/gldraw.cpp \
          ./src/ligedit.cpp \
          ./src/matedit.cpp \
          ./src/entedit.cpp \
          ./src/aniedit.cpp \
          ./src/picedit.cpp \
          ./src/fntedit.cpp \
          ./src/funedit.cpp \
          ./src/property.cpp \
          ./src/parser.cpp \
          ./src/timers.cpp \
          ./src/sysinfo.cpp \
          ./src/error.cpp

FORMS =   ./src/maincontrol.ui \
          ./src/light.ui \
          ./src/material.ui \
          ./src/entire.ui \
          ./src/animat.ui \
          ./src/picture.ui \
          ./src/funedit.ui \
          ./src/error.ui

# Linux respectively Windows-ressources
RESOURCES = ./src/zhu3d.qrc
RC_FILE   = ./src/winicon.rc

# Check Windows-libraries
win32 { LIBS += -lwinmm }

# Finally check arguments on command-line
!isEmpty(DOCDIR) { QMAKE_CXXFLAGS_RELEASE+=-DDOCDIR="\"$${DOCDIR}\"" }
!isEmpty(SYSDIR) { QMAKE_CXXFLAGS_RELEASE+=-DSYSDIR="\"$${SYSDIR}\"" }
